List
curl --request GET \
--url https://{defaultHost}/v1/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/invoices"
},
"data": [
{
"id": "a2ae2570-41ff-4597-969c-c28659da07e5",
"object": "invoice",
"automatic_collection": false,
"due_date": null,
"footer": null,
"issue_date": null,
"live_mode": true,
"memo": null,
"metadata": {},
"notifications_enabled": true,
"order_number": null,
"status": "draft",
"portal_url": "http://app.example.com/portal_redirect/invoices/a2ae2570-41ff-4597-969c-c28659da07e5",
"notification_sent_at": null,
"reminder_notification_sent_at": null,
"checkout": "296970ff-332e-47ad-b21f-a7d2c42f4247",
"created_at": 1782485837,
"updated_at": 1782485837
}
]
}Invoices
List
Returns a list of your invoices.
GET
/
v1
/
invoices
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects that belong to the given customers.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
Only return objects that are live mode or test mode.
The page of items you want returned.
The query to be used for full text search of this collection.
Only return objects with the given status.
Was this page helpful?
⌘I